Cyberduck Mountain Duck CLI

#10313 closed defect (fixed)

Moving files internally within OneDrive writes to the URL/percent encoded destination path

Reported by: ipaterson Owned by: jmalek
Priority: normal Milestone: 6.6.0
Component: onedrive Version: 6.5.0
Severity: normal Keywords:
Cc: Architecture:
Platform: macOS 10.13

Description

When a file is moved within OneDrive to a destination directory that contains whitespace the file is instead written to the URL-encoded destination path (i.e. spaces are replaced with %20). This only occurs with internal moves from one directory in OneDrive to another directory in OneDrive.

Scope

  • Affects move by drag and drop in Cyberduck as well as Cmd + dnd and the mv command in Mountain Duck
  • Affects the Duplicate command in Cyberduck
  • Does not seem to affect copying or creating files, only moving and duplicating
  • Does not affect files moved into OneDrive from elsewhere on the filesystem
  • Does not affect other providers (tested Dropbox)

Steps to reproduce

Moving

  1. Connect to a OneDrive account
  2. Create a target directory with whitespace if none already exists (e.g. "Camera Roll")
  3. Move any file from the OneDrive account into the target directory
  4. Sign in to onedrive.com in a browser to verify the moved file

Duplicating

  1. Connect to a OneDrive account
  2. Create a target directory with whitespace if none already exists (e.g. "Camera Roll")
  3. Create a file in the directory if necessary
  4. Use the context menu option to Duplicate the file
  5. Sign in to onedrive.com in a browser to verify the duplicated file

Observations

Note that in both cases

  1. A new directory has been created based on the percent encoding of the target directory (e.g. "Camera%20Roll")
  2. The file does not exist in the actual target directory
  3. Encoding is additive, i.e. moving a file into "Camera%20Roll" creates a "Camera%2520Roll" double-encoded directory
  4. If using Mountain Duck, Finder may show a placeholder for the file in the target directory, a file named ? that is visible until the directory is reloaded

Versions

I have verified this in Cyberduck 6.4.6 (27773), 6.5.0 (27854), and Mountain Duck 2.4.0 (9334) with the Cryptomator integration enabled.

Change History (4)

comment:1 Changed on May 4, 2018 at 6:40:11 AM by jmalek

  • Owner set to jmalek

comment:2 Changed on May 4, 2018 at 6:40:35 AM by dkocher

  • Milestone set to 7.0

comment:3 Changed on May 10, 2018 at 8:30:37 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r44173.

comment:4 Changed on May 19, 2018 at 2:20:03 PM by dkocher

  • Milestone changed from 7.0 to 6.6.0
Note: See TracTickets for help on using tickets.
swiss made software